cURL
curl --request POST \ --url https://sandbox.finhub.cloud/api/v2.1/fincard/virtual/wallet/v2/create \ --header 'Content-Type: application/json' \ --header 'X-Forwarded-From: <x-forwarded-from>' \ --data ' { "coinKey": "BTC", "accountId": "<string>", "chainKey": "<string>", "label": "<string>" } '
{ "success": true, "code": 200, "msg": "Success", "data": { "addressId": "<string>", "accountId": "<string>", "coinKey": "<string>", "chain": "<string>", "address": "<string>", "walletAddress": "<string>", "chainKey": "<string>", "addressType": "<string>", "label": "<string>", "memo": "<string>", "qrCodeUrl": "<string>", "isHdWallet": true, "derivationPath": "<string>", "active": true, "totalReceived": 123, "totalSent": 123, "balance": 123, "unconfirmedBalance": 123, "numberOfTransactions": 123, "createTime": 123, "lastActivityTime": 123 } }
Create a new wallet deposit address for a coin/chain
User agent
Forwarded for
Client application identifier
"client-app"
Tenant ID
Device ID
Platform
Create wallet address request
Coin key
"BTC"
Account ID
Chain key
Address label
Successful response
Create wallet address response
Success flag
true
Response code
200
Response message
"Success"
Created wallet address data
Show child attributes